package com.jiankangyouyi.cloud.assessment.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 测评信息表
 *
 * @author : yangsongbo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "assessment.info")
public class AssessmentInfoDO extends BaseMongoEntity {

    private static final long serialVersionUID = 1L;


    /**
     * 业务类型
     */
    @Indexed(unique = true)
    private String bizType;

    /**
     * 测评名称
     */
    private String assessmentName;

    /**
     * 测评简介
     */
    private List<String> assessmentIntros;

    /**
     * 测评依据
     */
    private List<String> assessmentBasises;

    /**
     * 适合人群
     */
    private List<String> suitableCrowds;

    /**
     * 收获
     */
    private List<String> harvests;

    /**
     * 参考资料
     */
    private List<String> references;

    /**
     * 测评提示
     */
    private List<String> reminds;

    /**
     * 免责声明
     */
    private List<String> disclaimers;

    /**
     * 预计耗时（分钟）
     */
    private Integer costMinutes;

    /**
     * 备注，不返回前端
     */
    private String remark;


    public static final String FIELD_CONFIGID = "configId";
    public static final String FIELD_BIZTYPE = "bizType";
    public static final String FIELD_ASSESSMENTNAME = "assessmentName";
    public static final String FIELD_ASSESSMENTINTRO = "assessmentIntro";
    public static final String FIELD_ASSESSMENTBASISES = "assessmentBasises";
    public static final String FIELD_SUITABLECROWDS = "suitableCrowds";
    public static final String FIELD_HARVESTS = "harvests";
    public static final String FIELD_REFERENCES = "references";
    public static final String FIELD_REMINDS = "reminds";
    public static final String FIELD_DISCLAIMERS = "disclaimers";
    public static final String FIELD_COSTMINUTES = "costMinutes";
    public static final String FIELD_REMARK = "remark";

}
