package com.jiankangyouyi.cloud.food_match.model.entity.mongodb;

import com.jiankangyouyi.cloud.food_match.api.model.dto.response.match.FoodMatchV2ResponseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.FieldNameConstants;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;


/**
 * 配餐结果信息
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@FieldNameConstants
@CompoundIndexes(
        value = {
                @CompoundIndex(
                        name = "key_-1_keyEnergy_-1",
                        def = "{'key' : -1, 'keyEnergy' : -1}",
                        unique = false
                )
        }
)
@Document(collection = "food_match.res_default5")
public class FoodMatchResDefaultDO extends FoodMatchV2ResponseDTO {

    private static final long serialVersionUID = 1L;
    @Id
    private ObjectId id;

    /**
     * 早加
     */
    private String key;

    /**
     * 摄入能量
     */
    private Integer keyEnergy;


    private String insertResultDate;

//    private EnergyBalancePlanResponseDTO energyBalancePlanResponseDTO;

}
