package com.jiankangyouyi.cloud.iotdata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 记录状态
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum RecordStatusEnum {


    /**
     * 待认领
     */
    WAITING_FOR_CLAIM("0", "待认领"),

    /**
     * 已认领(有效数据)
     */
    CLAIMED_VALID("1", "有效"),

    /**
     * 无效
     */
    INVALID("2", "无效"),

    ;

    private String status;

    private String describe;


    public static RecordStatusEnum getEnum(String status) {
        RecordStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (RecordStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

}
