package com.jiankangyouyi.cloud.iotdata.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Timestamp;

/**
 * <p>
 * IOT用户设备绑定表
 * </p>
 *
 * @author 
 * @since 2021-12-07
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_iot_user_binding")
public class BizIotUserBindingDO extends Model<BizIotUserBindingDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 创建日期
     */
    @TableField("create_date")
    private Date createDate;

    /**
     * 有效标识 1 有效 UUID 无效
     */
    @TableField("valid_status")
    private String validStatus;

    /**
     * 应用ID
     */
    @TableField("app_id")
    private String appId;

    /**
     * 用户ID
     */
    @TableField("user_id")
    private String userId;

    /**
     * 设备ID
     */
    @TableField("device_id")
    private String deviceId;

    /**
     * 设备序列号
     */
    @TableField("device_sn")
    private String deviceSn;

    /**
     * 业务类型
     */
    @TableField("biz_type")
    private String bizType;

    /**
     * 设备扩展数据
     */
    @TableField("device_extra")
    private String deviceExtra;

    /**
     * 设备名称
     */
    @TableField("device_name")
    private String deviceName;

    /**
     * 最后上报数据时间
     */
    @TableField("upload_data_time")
    private Timestamp uploadDataTime;

    /**
     * 解绑时间
     */
    @TableField("unbind_time")
    private Timestamp unbindTime;

    /**
     * 解绑账号
     */
    @TableField("unbind_account")
    private String unbindAccount;


    public static final String ID = "id";

    public static final String UPDATE_TIME = "update_time";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATE_DATE = "create_date";

    public static final String VALID_STATUS = "valid_status";

    public static final String APP_ID = "app_id";

    public static final String USER_ID = "user_id";

    public static final String DEVICE_ID = "device_id";

    public static final String DEVICE_SN = "device_sn";

    public static final String BIZ_TYPE = "biz_type";

    public static final String DEVICE_EXTRA = "device_extra";

    public static final String DEVICE_NAME = "device_name";

    public static final String UPLOAD_DATA_TIME = "upload_data_time";

    public static final String UNBIND_TIME = "unbind_time";

    public static final String UNBIND_ACCOUNT = "unbind_account";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
